<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Google SignIn</title>
    <meta
      name="google-signin-client_id"
      content="797463568902-7r52taiep6ig9g4nffl4kqqg0orcinal.apps.googleusercontent.com"
    />
  </head>
  <body>
    <h1>Acceso con Google</h1>
    <div class="g-signin2" data-onsuccess="onSignIn"></div>
    <a href="#" onclick="signOut();">Sign out</a>
    <script src="https://apis.google.com/js/platform.js" async defer></script>

    <script>
      const url = window.location.hostname.includes("localhost")
        ? "http://localhost:8080/api/auth/googleAuth"
        : "Heroku";

      function onSignIn(googleUser) {
        var profile = googleUser.getBasicProfile();
        console.log("ID: " + profile.getId()); // Do not send to your backend! Use an ID token instead.
        console.log("Name: " + profile.getName());
        console.log("Image URL: " + profile.getImageUrl());
        console.log("Email: " + profile.getEmail()); // This is null if the 'email' scope is not present.
        var id_token = googleUser.getAuthResponse().id_token;
        const data = { id_token };

        fetch(url, {
          method: "POST",
          headers: {
            "Content-Type": "application/json",
          },
          body: JSON.stringify(data),
        })
          .then((response) => response.json())
          .then((data) => console.log("response de mi server", data))
          .catch((error) => console.log(error));
      }
      function signOut() {
        var auth2 = gapi.auth2.getAuthInstance();
        auth2.signOut().then(function () {
          console.log("User signed out.");
        });
      }
    </script>
  </body>
</html>
